IRPCObjectOperations.FindVaultDuplicates
Vault API / core write session or assertion returns metadata structure version
Finds all groups of duplicate files in the vault.
| Service | Objects, versions, properties and files MFiles.IRPCObjectOperations |
|---|---|
| gRPC method | /MFiles.IRPCObjectOperations/FindVaultDuplicates |
| HTTP (mf-http-grpc) | POST /grpc/v1/find-vault-duplicates |
| Request | FindVaultDuplicatesRequest |
| Response | FindVaultDuplicatesResponse |
| Book and level | Vault API, core |
| Kind | write |
| Session | Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata). |
| Idempotent | no |
| Returns metadata structure version | yes (in the mfiles-metadata-version-bin trailer) |
| Streaming | none (unary) |
Request: FindVaultDuplicatesRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
exclude_files_from_deleted_objects | bool | True if the results should exclude duplicates which belong to deleted objects. |
Response: FindVaultDuplicatesResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
obj_vers[] | repeated ObjVer | Results. |
obj_vers[].obj_id | ObjID | The object. |
obj_vers[].obj_id.type | int32 | The object type ID, for example 0 for documents. In a lookup value, the value list ID (for a lookup to objects, the object type ID). |
obj_vers[].obj_id.item_id | ItemID | The ID of the object within its type, in item_id.internal_id. |
obj_vers[].version | ObjVerVersion | The version. Usually OBJ_VER_VERSION_TYPE_SPECIFIC with internal_version. |
obj_vers[].version.type | ObjVerVersionType | What internal_version means. OBJ_VER_VERSION_TYPE_SPECIFIC for a version number.Values: OBJ_VER_VERSION_TYPE_UNINITIALIZED (0), OBJ_VER_VERSION_TYPE_LATEST (1), OBJ_VER_VERSION_TYPE_ANY (2), OBJ_VER_VERSION_TYPE_ALL (3), OBJ_VER_VERSION_TYPE_SPECIFIC (4), OBJ_VER_VERSION_TYPE_VALUE_LIST_ITEM (6), OBJ_VER_VERSION_TYPE_OBJECT_LEVEL_REFERENCE (7). |
obj_vers[].version.internal_version | int32 | The version number, starting from 1, when type is OBJ_VER_VERSION_TYPE_SPECIFIC. The server returns -1 with OBJ_VER_VERSION_TYPE_LATEST. |
obj_vers[].version.external_repository_version | string | Used only for objects in external repositories. Leave empty. |
obj_vers[].version.external_repository_sort_key | int64 | Used only for objects in external repositories. Leave 0. |